/*
 * @Author: xiachao 958053195@qq.com
 * @Date: 2023-09-05 19:48:35
 * @LastEditors: xiachao 958053195@qq.com
 * @LastEditTime: 2024-02-22 17:36:51
 * @FilePath: \ruoyi-ui\src\api\bizMonitor\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import newRequest from '@/utils/newRequest';

// 查询列表
export function saleConfigList(data) {
  return newRequest({
    url: '/sale/config/list',
    method: 'post',
    data
  })
}

export function saleConfigAdd(data) {
  return newRequest({
    url: '/sale/config/add',
    method: 'post',
    data
  })
}

export function saleConfigUpdate(data) {
  return newRequest({
    url: '/sale/config/update',
    method: 'post',
    data
  })
}

export function saleConfigExport(data) {
  return newRequest({
    url: '/sale/config/export',
    method: 'post',
    data
  })
}

export function saleConfigUploadFile(data) {
  return newRequest({
    url: '/sale/config/upload/file',
    method: 'post',
    data
  })
}


export function saleConfigAuditCancel(data) {
  return newRequest({
    url: '/sale/config/audit/cancel/'+data,
    method: 'get'
  })
}

export function saleConfigAuditSubmit(data) {
  return newRequest({
    url: '/sale/config/audit/submit/'+data,
    method: 'get'
  })
}

export function saleConfigDetail(data) {
  return newRequest({
    url: '/sale/config/detail/'+data,
    method: 'get'
  })
}

export function saleConfigLogs(data) {
  return newRequest({
    url: '/sale/config/logs/'+data,
    method: 'get'
  })
}

export function gyDeptList(params) {
  return newRequest({
    url: '/gy/dept/list',
    method: 'get',
    params
  })
}

export function cateList(params) {
  return newRequest({
    url: '/cate/list',
    method: 'get',
    params
  })
}

export function hrUploadList(data) {
  return newRequest({
    url: '/hr/upload/list',
    method: 'post',
    data
  })
}

